Subject: Re: [PATCH 2/6] net: dsa: allow switch drivers to cleanup their resources

From: Neil Armstrong <[email-masked]>
Date: Tue, 27 Oct 2015 16:43:45 +0100

Hi,
On 10/27/2015 04:39 PM, Florian Fainelli wrote:
> On 27/10/15 07:48, Neil Armstrong wrote:
>> Some switch drivers might request interrupts, remap register ranges,
>> allow such drivers to implement a "remove" callback doing just that.
>>
>> Suggested-by: Florian Fainelli <[email-masked]>
> 
> This should probably be a Signed-off-by tag, but there is nothing using
> this, so you would want to introduce an user of this function in the
> same patch series so we see how you intend to use it?
> 
>> Signed-off-by: Neil Armstrong <[email-masked]>

Yes, I didn't know how to handle this since it was part of a larger patch.

I forgot to add this into the cover-letter but I wanted to send an RFC serie with
your bcm remove patch and a mv88e6xxx remove experimental code.

Yet, the mv88e6060 does not make usage of this.

Neil